Subject: [Various] Emacs not starting due to gsettings changes.

From: Pankaj Jangid <[email-masked]>
Date: Sun, 15 May 2022 08:54:17 +0530

Forwarding Pieter and Po’s messages here for tracking.

-------------------- Start of forwarded message --------------------
Date: Sun, 15 May 2022 08:53:21 +0530
From: Various
Subject: Emacs not starting due to gsettings changes.

Topics:
   Re: Emacs not starting due to gsettings changes.
   Re: Emacs not starting due to gsettings changes.

----------------------------------------------------------------------

Date: Sat, 14 May 2022 22:10:34 +0200
From: Pieter van Prooijen <[email-masked]>
To: Pankaj Jangid <[email-masked]>, [email-masked]
Subject: Re: Emacs not starting due to gsettings changes.
Message-ID: <[email-masked]>
References: <[email-masked]>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0

Hello All,

What is probably happening here is that debian stable uses an older
version of the org.gnome.desktop.interface schema?
I see that the keys that the font rendering patch needs were added in
jan 2021:
https://github.com/GNOME/gsettings-desktop-schemas/commit/d6a804b3a73605f9f=
fe917c31b9eb1301f2c4b73

I'll have a look if it's possible to fix this by checking if these
newer font keys are present in the schema and not fetching their value
if they are missing (which is marked in the glib docs as a "programmer
error", which would explain the trap).

Kind Regards,

Pieter

On Sat, 2022-05-14 at 01:33 +0530, Pankaj Jangid wrote:
> Probably due to this commit -
> 526e9758de7d163ce3b25fde69a4e122ce9c3742
>=20
> Emacs is producing below error. I am running it on Debian stable.
>=20
> --8<---------------cut here---------------start------------->8---
> pankaj@anant:~/work/gnu/emacs (master)$ emacs
>=20
> (emacs:1470526): GLib-GIO-ERROR **: 01:22:54.209: Settings schema
> 'org.gnome.desktop.interface' does not contain a key named 'font-
> antialiasing'
> Fatal error 5: Trace/breakpoint trap
> Backtrace:
> emacs(+0x14e9d1)[0x55a79a4ac9d1]
> emacs(+0x4346c)[0x55a79a3a146c]
> emacs(+0x439aa)[0x55a79a3a19aa]
> emacs(+0x14cf9d)[0x55a79a4aaf9d]
> emacs(+0x14d089)[0x55a79a4ab089]
> /lib/x86_64-linux-gnu/libpthread.so.0(+0x14140)[0x7f9d63c8b140]
> /lib/x86_64-linux-gnu/libglib-
> 2.0.so.0(g_log_structured_array+0x117)[0x7f9d64f37ca7]
> /lib/x86_64-linux-gnu/libglib-
> 2.0.so.0(g_log_default_handler+0xb5)[0x7f9d64f380b5]
> /lib/x86_64-linux-gnu/libglib-2.0.so.0(g_logv+0x219)[0x7f9d64f38309]
> /lib/x86_64-linux-gnu/libglib-2.0.so.0(g_log+0x8f)[0x7f9d64f3859f]
> /lib/x86_64-linux-gnu/libgio-2.0.so.0(+0xf44e9)[0x7f9d6515c4e9]
> /lib/x86_64-linux-gnu/libgio-2.0.so.0(+0xf4b5c)[0x7f9d6515cb5c]
> /lib/x86_64-linux-gnu/libgio-
> 2.0.so.0(g_settings_get_value+0x65)[0x7f9d65160cf5]
> emacs(+0x26bffd)[0x55a79a5c9ffd]
> emacs(+0x26cdb3)[0x55a79a5cadb3]
> emacs(+0x2631b2)[0x55a79a5c11b2]
> emacs(+0x25431f)[0x55a79a5b231f]
> emacs(+0x200175)[0x55a79a55e175]
> emacs(+0x1b9e23)[0x55a79a517e23]
> emacs(+0x1bb779)[0x55a79a519779]
> emacs(+0x200175)[0x55a79a55e175]
> emacs(+0x1bed87)[0x55a79a51cd87]
> emacs(+0x1bd88d)[0x55a79a51b88d]
> emacs(+0x1bfdb7)[0x55a79a51ddb7]
> emacs(+0x1b86a7)[0x55a79a5166a7]
> emacs(+0x12dee6)[0x55a79a48bee6]
> emacs(+0x1b8601)[0x55a79a516601]
> emacs(+0x12d4d8)[0x55a79a48b4d8]
> emacs(+0x1343c3)[0x55a79a4923c3]
> emacs(+0x13473c)[0x55a79a49273c]
> emacs(+0x4be6d)[0x55a79a3a9e6d]
> /lib/x86_64-linux-
> gnu/libc.so.6(__libc_start_main+0xea)[0x7f9d63921d0a]
> emacs(+0x4c4da)[0x55a79a3aa4da]
> Trace/breakpoint trap
> --8<---------------cut here---------------end--------------->8---

------------------------------

Date: Sun, 15 May 2022 09:43:10 +0800
From: Po Lu <[email-masked]>
To: Pieter van Prooijen <[email-masked]>
Cc: Pankaj Jangid <[email-masked]>,  [email-masked]
Subject: Re: Emacs not starting due to gsettings changes.
Message-ID: <[email-masked]>
References: <[email-masked]>
	<[email-masked]>
Content-Type: text/plain
MIME-Version: 1.0

Pieter van Prooijen <[email-masked]> writes:

> Hello All,
>
> What is probably happening here is that debian stable uses an older
> version of the org.gnome.desktop.interface schema?

I already fixed that bug, you don't have to concern yourself with it any
further.

Thanks.

------------------------------

End of forwardnP8i2F Digest
***************************

-------------------- End of forwarded message --------------------